namespace Common.Library;

public interface IRepository<TEntity>
{
    Task<IEnumerable<TEntity>> Get();
    Task<TEntity?> Get(int id);
    Task<int> Save(TEntity entity);
    bool Delete(TEntity entity);
    Task<bool> DeleteById(int Id);
}
